#include <iostream>

using namespace std;

int main()
{
    int N, K, prvaKarta;
    cin >> N >> K >> prvaKarta;

    if(prvaKarta != K) for(int i = 1; i < N; i++){
        int x;
        cin >> x;
        if (x == K) {
            if (i + 1 == N) cout << prvaKarta;
            else {
                int y;
                cin >> y;
                cout << y;
            }
            break;
        }
    }
    else {
        int y;
        cin >> y;
        cout << y;
    }
}